Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get customer need

GET/workspaces/{organizationId}/customer-needs/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Need

idstringrequired
organizationIdstringrequired
customerIdstringrequired
issueIdstring | nullrequired
projectIdstring | nullrequired
prioritystring | nullrequired
notestring | nullrequired
createdAtstringrequired
404

Need not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/customer-needs/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "customerId": "string",
  "issueId": "string",
  "projectId": "string",
  "priority": "string",
  "note": "string",
  "createdAt": "string"
}

Was this page helpful?